@import url('https://fonts.googleapis.com/css2?family=Caladea:ital,wght@0,400;0,700;1,400;1,700&family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');


/* Container for the custom select dropdown */
.custom-select {
  position: relative;
  width: 100%;
}

.select-selected {
  background-color: #3A2632;
  padding: 10px;
  border: 1px solid #E0E0E0;
  cursor: pointer;
  user-select: none;
  font-size: 16px;
  position: relative;
  border-radius: 5px;
  text-align: center;
  display: flex;
  height: 30px;
  padding: 10px 15px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  align-self: stretch;
}

.select-selected:hover {
  border: 1px solid #C1A865;
  color: #C1A865;
}

.select-arrow {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  pointer-events: none;
  transition: transform 0.3s ease;
  color: var(--dragon-dark-gold);
}

/* Rotate the arrow when dropdown is open */
.active .select-arrow img{
  transform: translateY(-50%) rotate(180deg);
}

.select-items {
  position: absolute;
  background-color: #E0E0E0;
  color: #432131;
  max-height: auto;
  overflow-y: auto;
  z-index: 99;
  width: 100%;
  display: none;

  text-align: center;

}

.select-items div {
  padding: 10px;
  cursor: pointer;

  overflow: hidden;
  color: #432131;
  text-overflow: ellipsis;
  font-family: Roboto;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 122%;
}

.select-items div:hover {
  color: #C1A865;
}

.active .select-items {
  display: block;
}

.selected-text {
  color: #E0E0E0;
  font-size: 14px;
  text-align: center;
  text-overflow: ellipsis;
  font-family: Roboto;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 122%;
  margin-right: 20px;
}

.selected-text:hover {
  color: #C1A865;
}

.custom-select:hover .selected-text {
  color: #C1A865;
}

.custom-select:hover .select-arrow img {
  filter: brightness(0) saturate(100%) invert(60%) sepia(42%) saturate(500%) hue-rotate(15deg) brightness(105%) contrast(92%);
}